using System;
using System.Text.Json;
using RedundancyFinder;
using RedundancyFinderCLI;
using Spectre.Console;
using Spectre.Console.Cli;

internal class Program
{
    private static void Main(string[] args)
    {
        var app = new CommandApp<FinderCommand>();
        app.Configure(config =>
        {
#if DEBUG
            config.PropagateExceptions();
            config.ValidateExamples();
#endif
        });

        app.Run(args.ToList());
    }
}